Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. Collections
  • About the AutoCollect API
  • Getting started with the AutoCollect API
  • Webhooks
  • Example Workflow
  • Batches
    • GetBatchById
      GET
    • GetBatchesByOrganization
      GET
    • GetBatchById - Legacy (To be removed)
      GET
  • Collections
    • AcceptDebtCollectionList
      POST
    • RejectDebtCollectionList
      POST
    • PauseCase
      POST
    • WithdrawCase
      POST
    • ResumeCase
      POST
    • AcceptEvictionRequest
      POST
    • RejectEvictionRequest
      POST
    • AcceptEvictionConfirmation
      POST
    • RejectEvictionConfirmation
      POST
    • GetCasesByOrganization
      GET
  • Correction
    • CreateCorrections
      POST
  • Invoice
    • CreateInvoices
      POST
    • GetInvoicesByOrganization
      GET
    • GetInvoiceById
      GET
  • Payment
    • CreatePayments
      POST
  • Settlement
    • GetSettlements
      GET
    • GetSettlement on Id
      GET
  • AutoCollect Legacy API
    • Attachment
      • /webapi/api/Attachment
    • Batch
      • /webapi/api/Batch
      • /webapi/api/Batch
    • Ping
      • /webapi/api/Ping
  1. Collections

GetCasesByOrganization

GET
/orgs/{organizationId}/cases
Endpoints for organization management operations

Request

Authorization
Path Params

Query Params

Responses

🟢200
application/json
OK
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/orgs//cases?Status=undefined&Type=undefined&CaseNumber=undefined&CustomerNumber=undefined&UniqueSourceInvoiceId=undefined&SearchTerm=undefined&FromCreatedAt=undefined&ToCreatedAt=undefined&PageToken=undefined&PageSize=undefined'
Response Response Example
{
    "data": [
        {
            "caseId": "af51d69f-996a-4891-a745-aadfcdec225a",
            "caseNumber": 0,
            "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
            "creditorId": "ddc16491-2bd6-4cc3-b855-e93eb9eb99c2",
            "creditorNumber": "string",
            "status": "OPEN",
            "subStatus": "DEBT_COLLECTION_LIST_MANUAL",
            "type": "PAYMENT_REMINDER",
            "description": "string",
            "registeredAt": "2019-08-24T14:15:22.123Z",
            "closedAt": "2019-08-24T14:15:22.123Z",
            "invoices": [
                {
                    "invoiceId": "4f163819-178d-470c-a246-d6768476a6ec",
                    "invoiceNumber": "string",
                    "caseId": "af51d69f-996a-4891-a745-aadfcdec225a",
                    "invoiceDate": "2019-08-24T14:15:22.123Z",
                    "dueDate": "2019-08-24T14:15:22.123Z",
                    "batchId": "5579c111-9c50-47e2-af92-f16d52e63189",
                    "registeredAt": "2019-08-24T14:15:22.123Z",
                    "originalAmount": 0,
                    "remainingAmount": 0,
                    "remainingPrincipal": 0,
                    "uniqueSourceInvoiceId": "string",
                    "paidAmount": 0,
                    "creditedAmount": 0,
                    "currency": {}
                }
            ],
            "debtors": [
                {
                    "debtorId": "0e24973d-821c-4f49-b6cd-c5f93b86e51d",
                    "type": "PRIVATE",
                    "debtorNumber": "string",
                    "customerNumber": "string",
                    "firstName": "string",
                    "lastName": "string",
                    "fullName": "string",
                    "identificationNumber": "string",
                    "email": "string",
                    "phone": "string"
                }
            ],
            "remainingAmount": 0,
            "remainingPrincipal": 0,
            "claims": [
                {
                    "type": "PRINCIPAL",
                    "originalAmount": 0,
                    "currentAmount": 0,
                    "remainingAmount": 0,
                    "paidAmount": 0,
                    "creditedAmount": 0,
                    "currency": "string",
                    "invoiceId": "4f163819-178d-470c-a246-d6768476a6ec"
                }
            ],
            "caseAccountDetails": {
                "bankAccountDetails": {
                    "accountType": "UNKNOWN",
                    "accountNumber": "string"
                },
                "paymentReference": "string"
            }
        }
    ],
    "skipSummary": {
        "status": "string",
        "totalCount": 0,
        "currentPage": 0,
        "pageSize": 0,
        "totalPages": 0,
        "hasNextPage": true,
        "hasPreviousPage": true
    },
    "cursorSummary": {
        "status": "string",
        "nextPageToken": "string",
        "previousPageToken": "string"
    }
}
Modified at 2026-05-15 15:15:30
Previous
RejectEvictionConfirmation
Next
CreateCorrections
Built with